Subject: Re: #122 (MIME-Version not listed in P1, general header fields)

From: Julian Reschke <[email-masked]>
Date: Sat, 24 Jul 2010 17:30:13 +0200

On 02.06.2010 11:17, Julian Reschke wrote:
> Hi,
>
> in <http://trac.tools.ietf.org/wg/httpbis/trac/ticket/122>, Mark wrote:
>
>> I'm not too worried about counting the angels to determine whether or
>> not this is a HTTP header. P3 A.1 says:
>>
>> HTTP is not a MIME-compliant protocol. However, HTTP/1.1 messages
>> MAY include a single MIME-Version general-header field to indicate
>> what version of the MIME protocol was used to construct the message.
>> Use of the MIME-Version header field indicates that the message is in
>> full compliance with the MIME protocol (as defined in [RFC2045])
>>
>> .
>>
>> Note that it's described as a general-header field.
>>
>> I propose we just update the registration, point to the appropriate
>> part (wherever it ends up) and allow people to dereference it to get
>> to this text if they're interested.
>
> I just checked; we *do* have "MIME-Version" mentioned in the IANA
> registry update instructions.
>
> What's open is:
>
> 1) Should Part 1 mention it as a General header field?
>
> 2) For the header field registration, what status should we specify?
> (see <http://tools.ietf.org/html/rfc3864#section-4.2.1>).
>
> My take:
>
> 1) Add this to
> <http://greenbytes.de/tech/webdav/draft-ietf-httpbis-p1-messaging-latest.html#rfc.section.3.5>
> for now (understanding that that part may go away soon anyway).
>
> 2) "standard", as MIME-Version is defined in httpbis and RFC 2045, both
> being on the standards track.
>
> Best regards, Julian

Applied with <http://trac.tools.ietf.org/wg/httpbis/trac/changeset/937>.

Best regards, Julian